#include "crc32c/crc32c.h"
#include <iostream>

int main() {
  const std::uint8_t buffer[] = {0, 0, 0, 0};
  std::uint32_t result;

  result = crc32c::Crc32c(buffer, 4);

  std::string string;
  string.resize(4);
  result = crc32c::Crc32c(string);

  std::string_view string_view(string);
  result = crc32c::Crc32c(string_view);
  
  std::cout << "Example finished successfully!" << std::endl;

  return 0;
}